# Transfer SRR To Ethereum Address

## `transferSRRToEthereumAddress()`

Transfer SRR to new owner directly designating etherem address.

## Method parameters

| Variable                      | Type               | Description                                                                                                               |
| ----------------------------- | ------------------ | ------------------------------------------------------------------------------------------------------------------------- |
| `startrailLUWContractAddress` | `string`           | The address of LicensedUserWallet(LUW) contract. Sets it when you want to execute transaction by the LUW contract address |
| `contractAddress`             | `string`           | The address of collection contract. Sets it when you want to associate collection contract address with the SRR.          |
| `to`                          | `string`           | Address to transfer for ownership to.                                                                                     |
| `metadata`                    | `TransferMetadata` | SRR Transfer Metadata conforming to [Transfer Data schema](/metadata-schema/transfer.md)                                  |
| `isIntermediary`              | `boolean`          | Intermediary flag used by startbahn to trigger a transaction. - defaults to false                                         |

### TransferMetadata

| Variable          | Type     | Description                                                                     |
| ----------------- | -------- | ------------------------------------------------------------------------------- |
| `transferType`    | `string` | Select one of the followings "Primary sale", "Secondary sale", "Other transfer” |
| `remarks`         | `Lang`   | Write down whatever relevant to transfer ownership                              |
| `customHistoryId` | `number` | Custom History Id that is already registered in Startrail                       |

### Lang

| Variable | Type     | Description  |
| -------- | -------- | ------------ |
| `ja`     | `string` | Japanse text |
| `en`     | `string` | English text |

### Parameters Example

```
await sdk.transferSRRToEthereumAddress(
  {
    contractAddress: '0x0c050f805Aa1ee2D4f9393365C95E299F1716fb1',
    startrailLUWContractAddress: '0x113c6880fc4a2664E125973BC0Dfd37d62Ec7c3f',
    to: '0xF6B90C96D53058123C32C53A03b4420594714342',
    tokenId: '832736095995',
    metadata: {
      transferType: "Primary sale",
      remarks: {
        en: "Reason for the transfer",
        ja: "移転の理由：日本語"
      },
      customHistoryId: 1,
    },
    isIntermediary: false,
  }
)
```

## Returns

`Promise` will be returned which resolves with a `Response` object upon a successful confirmation. `false` will be returned when user flow is cancelled in such a case that a user closes the popup modal.

If the confirmation fails, the `Promise` will resolve with an {error} object that describes the failure.

`Promise<Response | false>`

{% hint style="warning" %}
The use of "txReceiptId" will soon be deprecated and removed.
{% endhint %}

### Response

| Variable      | Type     | Description                                             |
| ------------- | -------- | ------------------------------------------------------- |
| `txReceiptId` | `string` | ID to identify transaction details in Startrail-API DB. |

### Error

Custom `Error` objects. Refer to the [Error Catalogue](/startrail-sdk-js/errors.md) for possible data.

### Response Example

```
{
  txReceiptId: 0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.startrail.io/startrail-sdk-js/startrail-api-methods/transfersrrtoethereumaddress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
